• PrestaShop tworzenie sklepów internetowych. Grafika, moduły, wdrożenie, aktualizacje. PrestaShop tworzenie sklepów internetowych. Grafika, moduły, wdrożenie, aktualizacje oraz rozbudowa sklepów internetowych.

SKLEPY INTERNETOWE PrestaShop POTRZEBNA POMOC ?

POMOC - ROZBUDOWA - NAPRAWY - AKTUALIZACJE - KONFIGURACJA - TWORZENIE SKLEPÓW

zapraszamy do kontaktu:   axp@prodo.pl / tel. 888 537 633

Po zwiększeniu php PrestaShop 1.6 nie działa poprawnie

czasami po zwiększeniu wersji php na serwerze np z 5.6 na 7.2 pojawia się błąd

 

warning: Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128' (this will throw an Error in a future version of PHP) in /home/classes/Rijndael.php on line 124

Fatal error: Declaration of AdminCmsController::viewAccess() must be compatible with AdminControllerCore::viewAccess($disable = false) in /home/modules/homesliderpro/controllers/admin/AdminCmsContent.php on line 3

 

przestaje działać zakładka moduły, cms i inne, spowodowane jest to tym że wersja php 7.2 oraz wyższa nie wspiera już funkcji mcrypt

 

 aby rozwiązać problem należy zalogować się na serwer panel zarządzania (lub zwrócić do swoje administratora serwera aby tą funkcję włączył na serwerze dla danej wersji php, lub zwyczaj nie przełączyć się na wersję php która ma opcję włączenia mcrypt) czyli np wersja php 7.1 i ją załączyć zapisując zmiany

 

 presta shop mcrypt

 

 

 

Jeżeli potrzebują Państwo pomocy przy sklepie PrestaShop zapraszamy !

tel: 888 537 633

e-mail: axp@prodo.pl